Subject: Re: bug#50732: 28.0.50; project-find-dir: blank line in fido-vertical-mode

From: João Távora <[email-masked]>
Date: Wed, 22 Sep 2021 17:24:34 +0100

On Wed, Sep 22, 2021 at 5:21 PM João Távora <[email-masked]> wrote:
>
> On Wed, Sep 22, 2021 at 5:18 PM Juri Linkov <[email-masked]> wrote:
>
> > Please don't change project-find-dir, it has no problem.
> > The problem is in fido-vertical-mode.
>
> DId you miss the part where I showed that the *Completions*
> buffer also displays an unselectable empty string?
>
> Why not do what `M-x dired` does? Dired users would appreciate
> the consistency, regardless of the completion UI they use.

Regardless (I really think you should do the above), I don't object
to adding your "<empty>" idea to Icomplete and everywhere else
in Emacs that is affected by this.  At least I don't see any immediate
problems with that idea.  So the two things aren't mutually exclusive.

João